Package org.optaplanner.core.impl.constructionheuristic.placer

## Class QueuedEntityPlacerFactory<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.AbstractFromConfigFactory<Solution_,​EntityPlacerConfig_>
  - - org.optaplanner.core.impl.constructionheuristic.placer.QueuedEntityPlacerFactory<Solution_>

- All Implemented Interfaces:
    `EntityPlacerFactory<Solution_>`

      public class QueuedEntityPlacerFactory<Solution_>
      extends AbstractFromConfigFactory<Solution_,​EntityPlacerConfig_>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.AbstractFromConfigFactory

      `config`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueuedEntityPlacerFactory​(QueuedEntityPlacerConfig placerConfig)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected ChangeMoveSelectorConfig` | `buildChangeMoveSelectorConfig​(HeuristicConfigPolicy<Solution_> configPolicy, String entitySelectorConfigId, GenuineVariableDescriptor<Solution_> variableDescriptor)` |
    `QueuedEntityPlacer<Solution_>` | `buildEntityPlacer​(HeuristicConfigPolicy<Solution_> configPolicy)` |
    `EntitySelectorConfig` | `buildEntitySelectorConfig​(HeuristicConfigPolicy<Solution_> configPolicy)` |
    `static <Solution_> QueuedEntityPlacerConfig` | `unfoldNew​(HeuristicConfigPolicy<Solution_> configPolicy, List<MoveSelectorConfig> templateMoveSelectorConfigList)` |

    - ### Methods inherited from class org.optaplanner.core.impl.AbstractFromConfigFactory

      `deduceEntityDescriptor, deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptor, deduceVariableDescriptorList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueuedEntityPlacerFactory

          public QueuedEntityPlacerFactory​(QueuedEntityPlacerConfig placerConfig)

  - ### Method Detail

    - #### unfoldNew

          public static <Solution_> QueuedEntityPlacerConfig unfoldNew​(HeuristicConfigPolicy<Solution_> configPolicy,
                                                                       List<MoveSelectorConfig> templateMoveSelectorConfigList)

    - #### buildEntityPlacer

          public QueuedEntityPlacer<Solution_> buildEntityPlacer​(HeuristicConfigPolicy<Solution_> configPolicy)

    - #### buildEntitySelectorConfig

          public EntitySelectorConfig buildEntitySelectorConfig​(HeuristicConfigPolicy<Solution_> configPolicy)

    - #### buildChangeMoveSelectorConfig

          protected ChangeMoveSelectorConfig buildChangeMoveSelectorConfig​(HeuristicConfigPolicy<Solution_> configPolicy,
                                                                           String entitySelectorConfigId,
                                                                           GenuineVariableDescriptor<Solution_> variableDescriptor)